Bug 212778 - installer can't detect any logical volumes after first reboot (immediately after packages are installed)
installer can't detect any logical volumes after first reboot (immediately af...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-28 20:19 EDT by dfobrien
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/root/anaconda-ks.cfg (kickstart file generated by the installer) (1.01 KB, application/octet-stream)
2006-10-28 20:19 EDT, dfobrien
no flags Details
contents of /var/log/anaconda.log (263.63 KB, text/plain)
2006-10-31 22:29 EST, dfobrien
no flags Details
contents of /var/log/anaconda.syslog (26.94 KB, text/plain)
2006-10-31 22:31 EST, dfobrien
no flags Details
contents of /var/log/anaconda.xlog (61.18 KB, text/plain)
2006-10-31 22:31 EST, dfobrien
no flags Details
contents of /var/log/anaconda.xlog (61.18 KB, text/plain)
2006-10-31 22:34 EST, dfobrien
no flags Details
contents of /var/log/anaconda.syslog (26.94 KB, text/plain)
2006-10-31 22:34 EST, dfobrien
no flags Details
contents of /var/log/anaconda.log (263.63 KB, text/plain)
2006-10-31 22:34 EST, dfobrien
no flags Details
contents of /var/log/anaconda.log (263.63 KB, text/plain)
2006-10-31 22:36 EST, dfobrien
no flags Details
contents of /var/log/anaconda.xlog (61.18 KB, text/plain)
2006-10-31 22:38 EST, dfobrien
no flags Details
first part of mpeg video of screen during boot for which "quiet" argument was removed from boot command line (19.53 MB, video/mpeg)
2006-11-04 18:24 EST, dfobrien
no flags Details
second part of mpeg video of screen during boot for which "quiet" argument was removed from boot command line (19.53 MB, video/mpeg)
2006-11-04 18:33 EST, dfobrien
no flags Details
third part of mpeg video of screen during boot for which "quiet" argument was removed from boot command line (17.58 MB, video/mpeg)
2006-11-04 18:40 EST, dfobrien
no flags Details
the contents of /var/log/messages immediately after booting for the first time after the completion of the installation (190.32 KB, text/plain)
2006-11-07 00:32 EST, dfobrien
no flags Details

  None (edit)
Description dfobrien 2006-10-28 20:19:18 EDT
Description of problem:
Installer can't detect any logical volumes after first reboot (immediately after
packages are installed).
I'm trying to install fc6 x86_64 from the installation dvd onto the 1st sata
drive on a system with an intel DG965RY motherboard with a core 2 duo E6600 cpu
and 2 gigabytes of ram. I used the boot command line "linux acpi=off
all-generic-ide irqpoll" to get the installer to access the ide dvd drive
containing the installation dvd. I've applied the latest bios update for the
DG965RY motherboard and I haven't changed any of the bios settings from the
defaults.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot fc6 x86_64 installation DVD.
2. Enter boot command line "linux acpi=off all-generic-ide irqpoll".
3. 
  
Actual results:
After first reboot, messages are displayed saying that no logical volumes can be
found, followed by a kernel panic.

Expected results:
Boot into 2nd stage of installer.

Additional info:
I was able to copy the kickstart file generated by the installer to a floppy
disk using the rescue cd.
Comment 1 dfobrien 2006-10-28 20:19:18 EDT
Created attachment 139654 [details]
/root/anaconda-ks.cfg (kickstart file generated by the installer)
Comment 2 Jeremy Katz 2006-10-30 14:36:31 EST
Can you remove quiet from the boot args and provide a log of the failed boot?
Comment 3 dfobrien 2006-10-31 22:29:45 EST
Created attachment 139935 [details]
contents of /var/log/anaconda.log
Comment 4 dfobrien 2006-10-31 22:31:04 EST
Created attachment 139936 [details]
contents of /var/log/anaconda.syslog
Comment 5 dfobrien 2006-10-31 22:31:54 EST
Created attachment 139937 [details]
contents of /var/log/anaconda.xlog
Comment 6 dfobrien 2006-10-31 22:34:09 EST
Created attachment 139938 [details]
contents of /var/log/anaconda.xlog
Comment 7 dfobrien 2006-10-31 22:34:24 EST
Created attachment 139939 [details]
contents of /var/log/anaconda.syslog
Comment 8 dfobrien 2006-10-31 22:34:46 EST
Created attachment 139940 [details]
contents of /var/log/anaconda.log
Comment 9 dfobrien 2006-10-31 22:36:42 EST
Created attachment 139941 [details]
contents of /var/log/anaconda.log
Comment 10 dfobrien 2006-10-31 22:38:43 EST
Created attachment 139942 [details]
contents of /var/log/anaconda.xlog
Comment 11 dfobrien 2006-10-31 22:57:29 EST
Sorry for the delay in replying. I couldn't find any boot log
after removing the argument "quiet" from the boot command line,
and thought it might be because the kernel panic was happening
so early that the log messages weren't being flushed to disk
(the file /var/log/boot.log was empty).
I did another run removing the argument "quiet" and adding the
arguments "all-generic-ide", "irqpoll" and "debug". It got
much further (at least to where the klogd process is started),
but it progressed very slowly, with most messages being abouut
lost DMA interrupts on the (only) hard drive:
    hda: lost interrupt
    hda: dma_timer_expiry: dma status == 0x24
    hda: DMA interrupt recovery
I started it on Saturday afternoon and finally aborted it on
Tuesday night at around 9:30. When I used the rescue cd to
look at the root filesystem, the file /var/log/boot.log was
still empty. However there were 3 files that might help you.
I've attached them above (they were duplicated accidentally
when I tried to recover the original version of this comment,
which I apparently didn't enter correctly).
Comment 12 dfobrien 2006-11-04 16:27:50 EST
I still haven't been able to generate an install log, but I set up a video
camera to video-tape the screen during a boot (and I removed the "quiet" boot
argument for that boot). I've attached the resulting mpeg file. Unfortunately
the video camera uses autofocus, and it can't be turned off, so the picture is
blurry for an instant when the screen changes from graphical mode to text mode.
You can follow the messages better if you slow down the playback of the video
file as much as your player will allow.
Comment 13 dfobrien 2006-11-04 18:24:27 EST
Created attachment 140372 [details]
first part of mpeg video of screen during boot for which "quiet" argument was removed from boot command line

concatenate this with the other 2 parts to reconstruct the full video:
    cat boot_log_part_1.mpg boot_log_part_2.mpg boot_log_part_3.mpg >
boot_log.mpg
Comment 14 dfobrien 2006-11-04 18:34:09 EST
Created attachment 140373 [details]
second part of mpeg video of screen during boot for which "quiet" argument was removed from boot command line

concatenate this with the other 2 parts to reconstruct the full video:
    cat boot_log_part_1.mpg boot_log_part_2.mpg boot_log_part_3.mpg >
boot_log.mpg
Comment 15 dfobrien 2006-11-04 18:40:56 EST
Created attachment 140374 [details]
third part of mpeg video of screen during boot for which "quiet" argument was removed from boot command line

concatenate this with the other 2 parts to reconstruct the full video:
    cat boot_log_part_1.mpg boot_log_part_2.mpg boot_log_part_3.mpg >
boot_log.mpg
Comment 16 dfobrien 2006-11-07 00:26:20 EST
In the bios setup program, I changed  "Advanced - Drive Configuration - ATA/IDE
Mode" from "Native" to "Legacy". This fixed the problem of the kernel failing to
detect any logical volumes. I decided to reinstall fedora core 6 from scratch. I
still had to specify "acpi=off" and "all-generic-ide" as additional arguments to
the boot command line when running the installer. The second part of the
installer (after the first reboot, where it was hanging before) completed
successfully. When  I rebooted for the first time after that, I removed the boot
command line argument "quiet" and I specified no additional boot command line
arguments (the argument "acpi=off" was already included by the installer), but
was unable to mount a floppy disk placed in the floppy drive (which I have been
able to do when booting the rescue cd with the boot command line "linux rescue
acpi=off all-generic-ide irqpoll"). I was also unable to access a usb drive that
I plugged into one of the pc's usb sockets. I was also unable to use
"/dev/ttyS0" to exchange data with another computer using a null modem cable
(which I have been able to do when booting the rescue cd with the boot command
line "linux rescue acpi=off all-generic-ide irqpoll"). I tried rebooting and
adding the arguments "all-generic-ide" and "irqpoll" to the boot command line,
but I still had the same problems. I will attach the contents of
"/var/log/messages" imeediately after the first time I rebooted following the
completion of the installer (when I added no additional arguments to the boot
command line, but removed the argument "quiet"). The file "/var/log/boot.log"
was still empty.
Comment 17 dfobrien 2006-11-07 00:32:03 EST
Created attachment 140538 [details]
the contents of /var/log/messages immediately after booting for the first time after the completion of the installation
Comment 18 dfobrien 2006-11-25 10:27:14 EST
-I replaced my ide dvd burner with a new dvd burner with a sata interface;
 that fixed the problems with booting after the first stage of the installer
-I was able to reinstall fedora core 6 x86_64 from scratch without changing
 the boot arguments from their defaults, and now that the installation is
 complete I am able to boot without changing the boot arguments from their
 defaults
-when I tried to boot after the 2nd stage of the installer, the boot would
 fail after starting the x server to display the graphical login screen
-I used the rescue cd to edit "/etc/inittab" to change the default runlevel
 from 5 to 3 (because I prefer to get a text mode login prompt and start X11
 using the "startx" command); after I did that, when I booted I was able get
 a text mode login prompt and stat X11 using the "startx" command
-now I'm able to access my floppy drive and the dvd burner, and when I plug
 in a usb drive it's recognized and automatically mounted, and I can access
 it fine
-to prevent the system from frequently locking up (the mouse would freeze and
 the system wouldn't respond to the keyboard, and the only way to get out of
 it was to press the reset button or turn the power off and then back on), I
 edited the file "/etc/X11/xorg.conf" to change the lines:
     Section "Device"
         Identifier "Videocard0"
         Driver     "i810"
     EndSection
 to:
     Section "Device"
         Identifier "Videocard0"
         Driver     "i810"
         VideoRam   134217728
     EndSection
 which seemed to fix that problem
-however, there are still numerous problems:
    -if you search for a string while running "gvim", it will crash
     with a message saying that it has received a fatal signal
     (doing the same thing while running "vim" causes no problems)
    -the output of the command
         setserial -g /dev/ttyS[0123]
     shows no serial devices
    -if I press "<cntl>-<alt>-<fn>" to switch to the nth virtual
     console (where n isn't 7), it works fine, but when I then
     press "<alt>-<f7>" to switch back to the X11 session, the
     screen goes blank (white), and the only way to get X11 to
     work again is to reboot (even stopping it by pressing
     "<cntl>-<alt>-<backspace>" and then restarting it by running
     the "startx" command doesn't work--the screen is still blank
     in virtual console 7)
    -when I installed an ftp server package and then tried to
     start the ftp server daemon, it wouldn't start, and examining
     "/var/log/messages" showed an error message indicating that
     it crashed while trying to start up
    -once after leaving the system up all day while at work, I looked
     in "/var/loc/messages" at the end of the day and saw a bunch of
     messages from around 3 in the afternoon related to a bad page
     table entry
-I just tried reinstalling from scratch, but this time deselecting
 the virtualization group (xen) when selecting packages; when I did
 this, the reboot failed after the 1st stage of the installer, so I
 used the rescue cd to change the default runlevel from 5 to 3 and
 at the same time add the line "VideoRam   134217728" to the "device"
 section of the file "/etc/X11/xorg.conf", and then rebooted and
 created a user account using the "groupadd", "useradd", and "passwd"
 commands
-now:
    -the problem with searching for a string in gvim is gone
    -the problem with the X11 screen going blank after switching between
     virtual consoles is gone
    -the output of the command
         setserial -g /dev/ttyS[0123]
     shows 1 serial device (as it should)
 so apparently those problems were caused by using the xen kernel (or by
 starting the generic kernel in "xen domain0 mode"?)
-could the problem be an incompatability between xen and the driver
 ("i810") for the integrated graphics chipset in the DG965RY motherboard?
 --one of the main reasons I bought this new machine was so that I would
 be able to use xen with a non-paravirtualized guest os
-I'm considering buying a graphics card and then reinstalling fc6 with
 xen to see if that works any better

Comment 19 dfobrien 2006-12-03 15:13:34 EST
I added an asus video card that uses the nvidia GEFORCE 7300 GS chipset,
and reinstalled fedora core 6 x86_64 from scratch. Both stages of the
installer started and completed with no problems, and everything seems
to be working fine now, except that the serial port is still
inaccessable when using the xen (domain 0) kernel (which isn't a huge
problem for me). I'm able to boot the xen kernel for everyday use,
and the only thing I haven't tried yet is installing a guest os.

To summarize, the hardware configuration that I started with was:
    full tower case
    500 watt power supply
    intel DG965RY motherboard
    intel core 2 duo E6600 cpu
    2 1-gigabyte PC2-4200 ram modules (shikatronics SHK06106 DIM-C12864LMD0KG)
    80-gigabyte seagate ST380811AS sata hard drive
    LG GSA-H10N "super multi" ide dvd burner
    no sound card
    no video card
    LG L1952 flatron lcd monitor
    optical ps/2 mouse
    ps/2 keyboard
and my initial bios settings were the defaults after flashing the
bios with the bios update labelled "MQ1458P" (except possibly
changing the boot drive order),
and I changed the hardware configuration to:
    full tower case                                   (no change)
    500 watt power supply                             (no change)
    intel DG965RY motherboard                         (no change)
    intel core 2 duo 6600 cpu                         (no change)
    2 1-gigabyte PC2-4200 ram modules                 (no change)
    80-gigabyte seagate ST380811AS sata hard drive    (no change)
    plextor PX-755SA sata dvd burner                  (replaced ide dvd burner)
    creative labs soundblaster live 5.1 sound card    (added)
    asus EN7300GS (nvidia geforce 7300 gs) video card (added)
    LG L1952 flatron lcd monitor                      (no change)
    optical ps/2 mouse                                (no change)
    ps/2 keyboard                                     (no change)
and changed the bios setting "Advanced - Drive Configuration - ATA/IDE
Mode" from "Native" to "Legacy".

Comment 20 Joel Andres Granados 2008-02-14 08:28:02 EST
Is this still an issue in the current versions of Fedora?
Comment 21 Bug Zapper 2008-04-04 00:13:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 22 Bug Zapper 2008-05-06 12:36:14 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.